﻿@{
    ViewBag.Title = "Thống kê";
    ViewBag.Description = "occ admin - dashboard";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@using MvcWebsiteOcc.Models;

@*@{MvcWebsiteOcc.Areas.administrators.Models.AnalyticsSummary views = ViewBag.ThongKe;}*@

<div class="row">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                <div class="databox bg-white radius-bordered">
                    <div class="databox-left bg-themesecondary">
                        @* <div class="databox-piechart">
                            <div data-toggle="easypiechart" class="easyPieChart" data-barcolor="#fff" data-linecap="butt" data-percent="60" data-animate="500" data-linewidth="3" data-size="47" data-trackcolor="rgba(255,255,255,0.1)">
                                <span class="white font-90">60%</span>
                            </div>
                        </div>*@
                        <i class="fa fa-users" style="font-size: 40px; line-height: 50px"></i>
                    </div>
                    <div class="databox-right">
                        <span class="databox-number themesecondary">@ViewBag.NV</span>
                        <div class="databox-text darkgray">SỰ KIỆN</div>
                        <div class="databox-stat" style="z-index: 99">
                            <a href="/administrators/events_manager/events_view"> <i class="stat-icon icon-xlg fa fa-eye"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                <div class="databox bg-white radius-bordered">
                    <div class="databox-left bg-themeprimary  padding-right-10">
                        @*<div class="databox-piechart">
                            <div id="users-pie" data-toggle="easypiechart" class="easyPieChart" data-barcolor="#fff" data-linecap="butt" data-percent="76" data-animate="500" data-linewidth="3" data-size="47" data-trackcolor="rgba(255,255,255,0.1)"><span class="white font-90">76%</span></div>
                        </div>*@
                        <i class="fa fa-newspaper-o" style="font-size: 40px; line-height: 50px"></i>
                    </div>
                    <div class="databox-right">
                        <span class="databox-number themeprimary">@ViewBag.TIN</span>
                        <div class="databox-text darkgray">TIN BÀI</div>
                         <div class="databox-stat " style="z-index: 99">
                            <a href="/administrators/news_manager/news_views"> <i class="stat-icon icon-xlg fa fa-eye"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                <div class="databox bg-white radius-bordered">
                    <div class="databox-left bg-palegreen">
                        @*  <img src="/Static/admin/assets/img/avatars/John-Smith.jpg" style="width:65px; height:65px;">*@
                        <i class="fa fa-book" style="font-size: 46px;"></i>
                    </div>
                    <div class="databox-right">
                        <div class="databox-stat palegreen" style="z-index: 99">
                            <a href="/administrators/events_manager/eventsgirl_manager"> <i class="stat-icon icon-xlg fa fa-eye"></i></a>
                        </div>
                        <span class="databox-number palegreen">@ViewBag.DON</span>
                        <div class="databox-text darkgray">THÍ SINH</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
        <div class="databox databox-xxlg databox-vertical databox-inverted" style="    background-color: #f5f5f5 !important;">
            <div class="databox-top bg-whitesmoke no-padding">
                <div class="databox-row row-2 bg-orange no-padding">
                    <div class="databox-cell cell-1 text-align-center no-padding padding-top-5">
                        <span class="databox-number white"><i class="fa fa-bar-chart-o no-margin"></i></span>
                    </div>
                    <div class="databox-cell cell-8 no-padding padding-top-5 text-align-left">
                        <span class="databox-number white">THỐNG KÊ LƯỢNG TRUY CẬP</span>
                    </div>
                    <div class="databox-cell cell-3 text-align-right padding-10">
                        <span class="databox-text white">@OccConvert.ViewDateFull(DateTime.Now.Date)</span>
                    </div>
                </div>
                <div class="databox-row row-4">
                    <div class="databox-cell cell-6 no-padding padding-10 padding-left-20 text-align-left">
                        <span class="databox-number orange no-margin">30758</span>
                        <span class="databox-text sky no-margin">TỔNG LƯỢNG TRUY CẬP</span>
                    </div>
                    <div class="databox-cell cell-2 no-padding padding-10 text-align-left">
                        <span class="databox-number orange no-margin">3254</span>
                        <span class="databox-text darkgray no-margin">TRONG THÁNG</span>
                    </div>
                    <div class="databox-cell cell-2 no-padding padding-10 text-align-left">
                        <span class="databox-number orange no-margin">554</span>
                        <span class="databox-text darkgray no-margin">TRONG TUẦN</span>
                    </div>
                    <div class="databox-cell cell-2 no-padding padding-10 text-align-left">
                        <span class="databox-number orange no-margin">102</span>
                        <span class="databox-text darkgray no-margin">HÔM NAY</span>
                    </div>
                </div>
                <div class="databox-row row-6 no-padding">
                    <div class="databox-sparkline">
                        <span data-sparkline="line" data-height="238px" data-width="100%" data-fillcolor="#37c2e2" data-linecolor="#37c2e2"
                            data-spotcolor="#fafafa" data-minspotcolor="#fafafa" data-maxspotcolor="#ffce55"
                            data-highlightspotcolor="#f5f5f5 " data-highlightlinecolor="#f5f5f5"
                            data-linewidth="2" data-spotradius="0">5,7,6,5,9,4,3,7,2
                        </span>
                    </div>
                </div>
            </div>
            <div class="databox-bottom bg-sky no-padding">
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ HAI</span>
                </div>
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ BA</span>
                </div>
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ TƯ</span>
                </div>
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ NĂM</span>
                </div>
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ SÁU</span>
                </div>
                <div class="databox-cell cell-2 text-align-center no-padding padding-top-5">
                    <span class="databox-header white">THỨ BẢY</span>
                </div>

            </div>
        </div>
    </div>
    <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12">
        <div class="orders-container">
            <div class="orders-header">
                <h6>THÍ SINH ĐĂNG KÝ MỚI</h6>
            </div>
            @{IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.BookCar> orders = ViewBag.Orders;}
            @{if (orders != null)
              {
                <ul class="orders-list">
                    @{foreach (var order in orders)
                      {
                        <li class="order-item">
                            <div class="row">
                                <div class="col-lg-7 col-md-7 col-sm-7 col-xs-7 item-left">
                                    <div class="item-booker">@order.CusName</div>
                                    <div class="item-time">
                                        <i class="fa fa-calendar"></i>
                                        <span>@order.CreateDate.ToString("dd/MM/yyyy hh:mm")</span>
                                    </div>
                                </div>
                                <div class="col-lg-5 col-md-5 col-sm-5 col-xs-5 item-right">
                                    <div class="item-price">
                                     @*   <span class="currency">$</span>*@
                                        <span class="price" style="font-size: 11px">@order.DateStart.ToString("dd/MM/yyyy") - @order.DateEnd.ToString("dd/MM/yyyy")</span>
                                    </div>
                                </div>
                            </div>
                            <a class="item-more" href="/administrators/bookcars_manager/bookorders_detail_edit/@order.BookID">
                                <i></i>
                            </a>
                        </li> 
                      }}

                </ul>
              }}

            <div class="orders-footer">
                <a class="show-all" href="/administrators/bookcars_manager/bookorders_manager"><i class="fa fa-angle-down"></i>Tất cả</a>
                @*<div class="help">
                    <a href=""><i class="fa fa-question"></i></a>
                </div>*@
            </div>
        </div>
    </div>
</div>



@section PageScripts{
    <!--Sparkline Charts Needed Scripts-->
    <script src="/Static/admin/assets/js/charts/sparkline/jquery.sparkline.js"></script>
    <script src="/Static/admin/assets/js/charts/sparkline/sparkline-init.js"></script>

    <!--Easy Pie Charts Needed Scripts-->
    <script src="/Static/admin/assets/js/charts/easypiechart/jquery.easypiechart.js"></script>
    <script src="/Static/admin/assets/js/charts/easypiechart/easypiechart-init.js"></script>

    <!--Flot Charts Needed Scripts-->
    <script src="/Static/admin/assets/js/charts/flot/jquery.flot.js"></script>
    <script src="/Static/admin/assets/js/charts/flot/jquery.flot.resize.js"></script>
    <script src="/Static/admin/assets/js/charts/flot/jquery.flot.pie.js"></script>
    <script src="/Static/admin/assets/js/charts/flot/jquery.flot.tooltip.js"></script>
    <script src="/Static/admin/assets/js/charts/flot/jquery.flot.orderBars.js"></script>
    <script>

        $(document).ready(function () {
            //$("#systems").addClass("active open");
            $("#dashboard").addClass("active");
        });

    </script>


    <script>
        // If you want to draw your charts with Theme colors you must run initiating charts after that current skin is loaded
        $(window).bind("load", function () {

            /*Sets Themed Colors Based on Themes*/
            //themeprimary = getThemeColorFromCss('themeprimary');
            //themesecondary = getThemeColorFromCss('themesecondary');
            //themethirdcolor = getThemeColorFromCss('themethirdcolor');
            //themefourthcolor = getThemeColorFromCss('themefourthcolor');
            //themefifthcolor = getThemeColorFromCss('themefifthcolor');


            //-------------------------Initiates Sparkline Chart instances in page------------------//
            InitiateSparklineCharts.init();
        });

    </script>
}